unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Registry, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Panel1: TPanel;
    Label2: TLabel;
    Label3: TLabel;
    procedure Button1Click(Sender: TObject);

  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation


{$R *.DFM}

procedure GetOwnerAndCompanyName(var sOwner, sOrganization : string);
var
  reg: TRegistry;
begin
 reg:= TRegistry.Create;
 try
   reg.RootKey:= HKEY_LOCAL_MACHINE;
   if reg.OpenKey('Software\Microsoft\Windows\CurrentVersion', false) then
   begin
    // Name
    sOwner := reg.ReadString('RegisteredOwner');
    // Organization
    sOrganization := reg.ReadString('RegisteredOrganization');
   end;
   if sOwner = '' then
   begin
     reg.CloseKey;
     reg.RootKey := HKEY_LOCAL_MACHINE;
     if reg.OpenKey('Software\Microsoft\Windows NT\CurrentVersion', false) then
     begin
      // Name
      sOwner := reg.ReadString('RegisteredOwner');
      // Organization
      sOrganization := reg.ReadString('RegisteredOrganization');
     end;
   end;
 finally
  reg.Free;
 end;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  sOwner, sOrganization : string;
begin
   GetOwnerAndCompanyName(sOwner,sOrganization);
   Edit1.Text:= sOwner;
   Edit2.Text:= sOrganization;
end;

end.
